/*
 * Copyright @ 2012 Nokia Corporation. All rights reserved. Nokia and Nokia
 * Connecting People are registered trademarks of Nokia Corporation. Oracle and
 * Java are trademarks or registered trademarks of Oracle and/or its affiliates.
 * Other product and company names mentioned herein may be trademarks or trade
 * names of their respective owners. See LICENSE.TXT for license information.
 */
package com.nokia.example.satsa;

import javax.microedition.lcdui.*;

// Screen used to display a decrypted message
class EncryptScreen
        extends Form
        implements CommandListener {

    private final SATSAMIDlet midlet;
    private final Command commandBack = new Command("Back", Command.BACK, 1);
    private final Command commandShowDecrypted = new Command("Decrypt", Command.ITEM, 1);
    private final Command commandDelete = new Command("Delete", Command.SCREEN, 2);
    private int index;
    private String encryptedMessage;

    EncryptScreen(SATSAMIDlet midlet) {
        super(null);
        this.midlet = midlet;
        createForm();
    }

    public void commandAction(Command c, Displayable d) {
        if (c == commandBack) {
            midlet.showMessageList();
        }
        if (c == commandShowDecrypted) {
            midlet.showPasswordScreen(index);
        }
        if (c == commandDelete) {
        	midlet.deleteMessage(index);
        	midlet.showMessageList();
        }
    }

    void setIndex(int index) {
        this.index = index;
    }

    void setMessage(String encryptedMessage) {
        this.encryptedMessage = encryptedMessage;
        createForm();
    }

    private void createForm() {
        deleteAll();
        setTitle("Encrypted Message ");
        StringItem messageItem = new StringItem(null, encryptedMessage);
        append(messageItem);
        addCommand(commandBack);
        addCommand(commandDelete);
        addCommand(commandShowDecrypted);
        setCommandListener(this);
    }
}